com.amazonaws.services.simpleworkflow.model

## Class TimerFiredEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.TimerFiredEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class TimerFiredEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `TimerFired` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimerFiredEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TimerFiredEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getStartedEventId()` The ID of the `TimerStarted` event that was recorded when this timer was started.
`String` `getTimerId()` The unique ID of the timer that fired.
`int` `hashCode()`
`void` `setStartedEventId(Long startedEventId)` The ID of the `TimerStarted` event that was recorded when this timer was started.
`void` `setTimerId(String timerId)` The unique ID of the timer that fired.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TimerFiredEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `TimerStarted` event that was recorded when this timer was started.
`TimerFiredEventAttributes` `withTimerId(String timerId)` The unique ID of the timer that fired.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimerFiredEventAttributes

    public TimerFiredEventAttributes()

### Method Detail

#### setTimerId

    public void setTimerId(String timerId)

The unique ID of the timer that fired.

Parameters:
  `timerId` - The unique ID of the timer that fired.

#### getTimerId

    public String getTimerId()

The unique ID of the timer that fired.

Returns:
  The unique ID of the timer that fired.

#### withTimerId

    public TimerFiredEventAttributes withTimerId(String timerId)

The unique ID of the timer that fired.

Parameters:
  `timerId` - The unique ID of the timer that fired.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `TimerStarted` event that was recorded when this timer was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `TimerStarted` event that was recorded when this timer was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `TimerStarted` event that was recorded when this timer was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `TimerStarted` event that was recorded when this timer was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withStartedEventId

    public TimerFiredEventAttributes withStartedEventId(Long startedEventId)

The ID of the `TimerStarted` event that was recorded when this timer was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `TimerStarted` event that was recorded when this timer was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TimerFiredEventAttributes clone()

Overrides:
  `clone` in class `Object`